Skip to main content
GET
/
notas
/
{idNota}
/
itens
/
{idItem}
Obter item da nota fiscal
curl --request GET \
  --url https://api.tiny.com.br/public-api/v3/notas/{idNota}/itens/{idItem} \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "idProduto": 123,
  "codigo": "<string>",
  "ncm": "<string>",
  "descricao": "<string>",
  "unidade": "<string>",
  "quantidade": 123,
  "valorUnitario": 123,
  "valorTotal": 123,
  "valorFrete": 123,
  "valorTotalComImpostos": 123,
  "cfop": "<string>",
  "naturezaOperacao": "<string>",
  "origem": "<string>",
  "gtin": "<string>",
  "gtinEmbalagem": "<string>",
  "tipo": "P",
  "numeroPedidoCompra": "<string>",
  "numeroItemPedidoCompra": 123,
  "pesoLiq": 123,
  "pesoBruto": 123,
  "infoAdicional": "<string>",
  "obs": "<string>",
  "pis": {
    "valorImposto": 123
  },
  "icms": {
    "valorImposto": 123
  },
  "cofins": {
    "valorImposto": 123
  },
  "simples": {
    "valorImposto": 123
  },
  "ipi": {
    "valorImposto": 123
  },
  "ibsCbsIs": {
    "cstIbsCbs": "<string>",
    "cClassTribIbsCbs": "<string>",
    "valorImpostoCbs": 123,
    "valorImpostoIbsUf": 123
  }
}

Path Parameters

idNota
integer
required

Identificador da nota fiscal

Response

OK

id
integer
idProduto
integer | null
codigo
string | null
ncm
string | null
descricao
string | null
unidade
string | null
quantidade
number<float> | null
valorUnitario
number<float> | null
valorTotal
number<float> | null
valorFrete
number<float> | null
valorTotalComImpostos
number<float> | null
cfop
string | null
naturezaOperacao
string | null
origem
string | null
gtin
string | null
gtinEmbalagem
string | null
tipo
enum<string> | null
  • P - Produto
  • S - Servico
Available options:
P,
S
numeroPedidoCompra
string | null
numeroItemPedidoCompra
integer | null
pesoLiq
number<float> | null
pesoBruto
number<float> | null
infoAdicional
string | null
obs
string | null
pis
· object
icms
· object
cofins
· object
simples
· object
ipi
· object
ibsCbsIs
· object